﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.Shell.Flavor;

namespace NTrace.VSPackage
{
    public class NTraceProjectFactory<T> : FlavoredProjectFactoryBase
        where T : NTraceProjectBase, new()
    {
    private NTracePackage package;

    protected NTraceProjectFactory(NTracePackage package)
    {
      this.package = package;
    }

    protected override object PreCreateForOuter(IntPtr outerProjectIUnknown)
    {
        T newProject = new T();
        newProject.Package = this.package;
        return newProject;
    }
  }
}
