using System;
using System.Runtime.InteropServices;

namespace NTrace
{
  [StructLayout(LayoutKind.Explicit, Size=16)]
  internal struct MofField
  {
    /// <summary>
    /// Pointer to a event data item.
    /// </summary>
    [FieldOffset(0)]
    public UInt64 DataPtr;

    /// <summary>
    /// Length of the item pointed to by DataPtr, in bytes.
    /// </summary>
    [FieldOffset(8)]
    public UInt32 Length;
  }
}
