﻿using System;
using System.ComponentModel;

namespace NTrace.VSPackage
{
    public class LevelEntry : ObservableObject
    {
        private String name;
        private int value;

        public LevelEntry()
        {
        }

        public LevelEntry(String name, int value) 
        {
            this.Name = name;
            this.Value = value;
        }

        public int Value
        {
            get { return this.value; }
            set
            {
                if (this.value == value) return;
                this.value = value;
                this.RaisePropertyChanged("Value");
            }
        }
        public String Name
        {
            get { return this.name; }
            set
            {
                if (this.name == value) return;
                this.name = value;
                this.RaisePropertyChanged("Name");
            }
        }
    }
}
