namespace NTrace
{
  using System;

  public enum EventClassLevel
  {
    /// <summary>
    /// Abnormal exit or termination events 
    /// </summary>
    Fatal = 1,
    /// <summary>
    /// Severe error events 
    /// </summary>
    Error = 2,
    /// <summary>
    /// Warning events such as allocation failures 
    /// </summary>
    Warning = 3,
    /// <summary>
    /// Non-error events such as entry or exit events 
    /// </summary>
    Information = 4,
    /// <summary>
    /// Detailed trace events 
    /// </summary>
    Verbose = 5,
  }
}
